Subject: Building cross compiler
From: [email-masked] ("MNR. W PRINS")

23 Jan 1997 09:02:12 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4ME+ PL28 (25)]
Content-Length: 2073      
Original-Sender: [email-masked]

Hi,

I've downloaded the newest Beta17.1 cdk source tree.  I am trying to build
a cross compiler on my Redhat 4.1 Linux box.  (I managed to do this with the
old Beta16 kit.) Anyway, the compilation fails at some stage with:

---
make[1]: Entering directory `/home/prins/Cygnus/i586-cygwin32/winsup'
rootme=`pwd` ; export rootme ; \
rootsrc=`(cd . ; pwd)` ; export rootsrc ; \
cd utils; make all CC="/home/prins/Cygnus/gcc/xgcc -B/home/prins/Cygnus/gcc/ -B/home/prins/Cygnus/newlib/ -L/home/prins/Cygnus/winsup -idirafter /home/prins/Cygnus/i586-cygwin32/newlib/targ-include -idirafter /home/prins/Cygnus/newlib/libc/include -nostdinc" CFLAGS="-g" CXXFLAGS="-g -O2" EXE_LDFLAGS="-B$rootme/../newlib/ -L.." AR="/home/prins/Cygnus/binutils/ar" RANLIB="/home/prins/Cygnus/binutils/ranlib" LD="/home/prins/Cygnus/ld/ld.new" DLLTOOL="/home/prins/Cygnus/binutils/dlltool"
make[2]: Entering directory `/home/prins/Cygnus/i586-cygwin32/winsup/utils'
make[2]: *** No rule to make target `all'.  Stop.
make[2]: Leaving directory `/home/prins/Cygnus/i586-cygwin32/winsup/utils'
make[1]: *** [utils-all] Error 2
make[1]: Leaving directory `/home/prins/Cygnus/i586-cygwin32/winsup'
make: *** [all-target-winsup] Error 2 

---
Now I've gotten this to compile by hand, but then it barfs later on because it wants
libc.a or something (newlib) for cygwin.dll.  It seems as if the winsup dir, 
and the newlib dir aren't being configured during the initial configuration 
process.  All I want to know is: Has anyone else managed to build a cross 
compiler on a similar setup?  What did you do? I used the following
commands (initially):
---
../configure --build=i586-linux --host=i586-linux --target=i586-cygwin32
# This configures as i586-pc-linux and i586-pc-cygwin32
make

Any ideas? 

--
Walter Prins                email: [email-masked] | Sola Scriptura
Department of Computer Science     [email-masked]       | Sola Gratia
University of Stellenbosch    www: http://quark.cs.sun.ac.za| Sola Fide
South Africa                                                | Soli Deo Gloria

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".